## org.jCharts.test
Class ScatterChartTestBase

    java.lang.Object
      org.jCharts.test.ScatterChartTestBase

Direct Known Subclasses:
  ScatterPlotTestDriver

    abstract class ScatterChartTestBase

extends Object

Constructor Summary
`ScatterChartTestBase()`

Method Summary
`(package private) static void` `axisChartTest(String name, ScatterChartTestBase axisChartTestBase)` Test for LineChart
`(package private) AxisChartDataSet` `createAxisChartDataSet(ChartType chartType, ChartTypeProperties chartTypeProperties, int numberOfDataSets, int numberOfValuesToCreate, int minValue, int maxValue)` Generates a random MultiDataSet
`(package private) DataSeries` `createDataSeries(int numberOfValuesToCreate)`
`(package private) abstract ScatterPlotDataSeries` `getDataSeries()`
`(package private) abstract boolean` `supportsImageMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterChartTestBase

    public ScatterChartTestBase()

Method Detail

### getDataSeries

    abstract ScatterPlotDataSeries getDataSeries()
                                          throws ChartDataException

  Throws:
    `ChartDataException`

### supportsImageMap

    abstract boolean supportsImageMap()

### axisChartTest

    static void axisChartTest(String name,
                              ScatterChartTestBase axisChartTestBase)
                       throws ChartDataException,
                              PropertyException

  Test for LineChart

  Throws:
    `ChartDataException`
    `PropertyException`

### createDataSeries

    final DataSeries createDataSeries(int numberOfValuesToCreate)

### createAxisChartDataSet

    AxisChartDataSet createAxisChartDataSet(ChartType chartType,
                                            ChartTypeProperties chartTypeProperties,
                                            int numberOfDataSets,
                                            int numberOfValuesToCreate,
                                            int minValue,
                                            int maxValue)
                                      throws ChartDataException

  Generates a random MultiDataSet

  Parameters:
    `numberOfDataSets` -
    `numberOfValuesToCreate` - the number of doubles to generate
    `minValue` -
    `maxValue` -
  Returns:
    AxisChartDataSet
  Throws:
    `ChartDataException`